curl -X GET "https://api.vaanivoice.ai/api/agents?search=support&page=1&page_size=10" \
-H "X-API-Key: vaani_<your_key>"
const response = await fetch("https://api.vaanivoice.ai/api/agents?search=support&page=1&page_size=10", {
method: "GET",
headers: {
"X-API-Key": "vaani_<your_key>",
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
"https://api.vaanivoice.ai/api/agents",
headers={
"X-API-Key": "vaani_<your_key>",
},
params={
"search": "support",
"page": 1,
"page_size": 10,
},
)
print(response.json())
from vaani_sdk import VaaniClient
with VaaniClient(api_key="vaani_<your_key>") as client:
# List all agents
agents = client.agents.list()
for agent in agents:
print(agent.id, agent.display_name, agent.agent_name)
# Search with pagination
filtered = client.agents.list(search="support", page=1, page_size=10)
{
"data": [
{
"id": "7ec4155e-0e62-440a-b983-5974f7697854",
"agent_name": "clientnamesupportbot",
"display_name": "Support Bot",
"client_id": "9abf5eff-e978-4e87-954d-7ff6ba570796",
"client_name": "Acme Corp",
"published": true,
"published_at": "2026-09-01T12:00:00Z",
"last_edited_at": "2026-09-25T10:00:00Z",
"deployment_config": {},
"status": "running",
"gsheet_config": null,
"archived": false
}
],
"pagination": {
"page": 1,
"page_size": 10,
"total_count": 1,
"total_pages": 1,
"has_next": false,
"has_previous": false
}
}
[
{
"id": "7ec4155e-0e62-440a-b983-5974f7697854",
"agent_name": "clientnamesupportbot",
"display_name": "Support Bot",
"client_id": "9abf5eff-e978-4e87-954d-7ff6ba570796",
"client_name": "Acme Corp",
"published": true,
"published_at": "2026-09-01T12:00:00Z",
"last_edited_at": "2026-09-25T10:00:00Z",
"deployment_config": {},
"status": "running",
"gsheet_config": null,
"archived": false
}
]
Agents
List Agents
List all agents associated with your organization
GET
/
api
/
agents
curl -X GET "https://api.vaanivoice.ai/api/agents?search=support&page=1&page_size=10" \
-H "X-API-Key: vaani_<your_key>"
const response = await fetch("https://api.vaanivoice.ai/api/agents?search=support&page=1&page_size=10", {
method: "GET",
headers: {
"X-API-Key": "vaani_<your_key>",
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
"https://api.vaanivoice.ai/api/agents",
headers={
"X-API-Key": "vaani_<your_key>",
},
params={
"search": "support",
"page": 1,
"page_size": 10,
},
)
print(response.json())
from vaani_sdk import VaaniClient
with VaaniClient(api_key="vaani_<your_key>") as client:
# List all agents
agents = client.agents.list()
for agent in agents:
print(agent.id, agent.display_name, agent.agent_name)
# Search with pagination
filtered = client.agents.list(search="support", page=1, page_size=10)
{
"data": [
{
"id": "7ec4155e-0e62-440a-b983-5974f7697854",
"agent_name": "clientnamesupportbot",
"display_name": "Support Bot",
"client_id": "9abf5eff-e978-4e87-954d-7ff6ba570796",
"client_name": "Acme Corp",
"published": true,
"published_at": "2026-09-01T12:00:00Z",
"last_edited_at": "2026-09-25T10:00:00Z",
"deployment_config": {},
"status": "running",
"gsheet_config": null,
"archived": false
}
],
"pagination": {
"page": 1,
"page_size": 10,
"total_count": 1,
"total_pages": 1,
"has_next": false,
"has_previous": false
}
}
[
{
"id": "7ec4155e-0e62-440a-b983-5974f7697854",
"agent_name": "clientnamesupportbot",
"display_name": "Support Bot",
"client_id": "9abf5eff-e978-4e87-954d-7ff6ba570796",
"client_name": "Acme Corp",
"published": true,
"published_at": "2026-09-01T12:00:00Z",
"last_edited_at": "2026-09-25T10:00:00Z",
"deployment_config": {},
"status": "running",
"gsheet_config": null,
"archived": false
}
]
List Agents
Retrieve all agents associated with the authenticated user’s organization. Supports optional search filtering by display name or agent name, as well as pagination.Query Parameters
string
Filter agents by display name or agent slug.
integer
Page number for pagination (1-indexed). When omitted, returns all agents as a list.
integer
default:"10"
Number of agents per page (max 200).
boolean
default:"false"
Filter to only return published agents.
Request Example
curl -X GET "https://api.vaanivoice.ai/api/agents?search=support&page=1&page_size=10" \
-H "X-API-Key: vaani_<your_key>"
const response = await fetch("https://api.vaanivoice.ai/api/agents?search=support&page=1&page_size=10", {
method: "GET",
headers: {
"X-API-Key": "vaani_<your_key>",
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
"https://api.vaanivoice.ai/api/agents",
headers={
"X-API-Key": "vaani_<your_key>",
},
params={
"search": "support",
"page": 1,
"page_size": 10,
},
)
print(response.json())
from vaani_sdk import VaaniClient
with VaaniClient(api_key="vaani_<your_key>") as client:
# List all agents
agents = client.agents.list()
for agent in agents:
print(agent.id, agent.display_name, agent.agent_name)
# Search with pagination
filtered = client.agents.list(search="support", page=1, page_size=10)
Response
{
"data": [
{
"id": "7ec4155e-0e62-440a-b983-5974f7697854",
"agent_name": "clientnamesupportbot",
"display_name": "Support Bot",
"client_id": "9abf5eff-e978-4e87-954d-7ff6ba570796",
"client_name": "Acme Corp",
"published": true,
"published_at": "2026-09-01T12:00:00Z",
"last_edited_at": "2026-09-25T10:00:00Z",
"deployment_config": {},
"status": "running",
"gsheet_config": null,
"archived": false
}
],
"pagination": {
"page": 1,
"page_size": 10,
"total_count": 1,
"total_pages": 1,
"has_next": false,
"has_previous": false
}
}
[
{
"id": "7ec4155e-0e62-440a-b983-5974f7697854",
"agent_name": "clientnamesupportbot",
"display_name": "Support Bot",
"client_id": "9abf5eff-e978-4e87-954d-7ff6ba570796",
"client_name": "Acme Corp",
"published": true,
"published_at": "2026-09-01T12:00:00Z",
"last_edited_at": "2026-09-25T10:00:00Z",
"deployment_config": {},
"status": "running",
"gsheet_config": null,
"archived": false
}
]
array
List of agent objects.
Show agent properties
Show agent properties
string
Unique identifier (UUID) of the agent.
string
Internal system slug identifier of the agent.
string
Human-readable display name of the agent.
string
UUID of the organization owning the agent.
string
Name of the organization.
boolean
Whether the agent has been published for active use.
string
ISO timestamp when the agent was published.
string
ISO timestamp when the agent was last edited.
string
Current agent status (e.g.
running, stopped, initialized).boolean
Whether the agent is archived.

